import java.util.Date;


// Libro

class Libro
{
  private String isbn;
  private String titulo;
  private String editorial;

  private Tema[]  temas;
  private Autor[] autores;
}


// Autor

class Autor
{
  private String nombre;

  private Libro[] libros;
}


// Tema

class Tema
{
  private String descripcion;

  private Tema   supertema;
  private Tema[] subtemas;
}


// Usuario

class Usuario
{
  private String nombre;
  private String clave;
}


// Comentario

class Comentario
{
  private Date   fecha;
  private String texto;

  private Libro   libro;
  private Usuario usuario;
}

